package com.crm.manager.service;

import com.crm.rely.backend.core.dto.base.ResultWithPagerDto;
import com.crm.rely.backend.core.dto.system.ip.SysIpLimitDto;
import com.crm.rely.backend.core.entity.base.SingleLongEntity;
import com.crm.rely.backend.core.entity.system.ip.SysIpLimitAddEntity;
import com.crm.rely.backend.core.entity.system.ip.SysIpLimitDeleteEntity;
import com.crm.rely.backend.core.entity.system.ip.SysIpLimitSearchEntity;
import com.crm.rely.backend.core.entity.system.ip.SysIpLimitUpdateEntity;
import com.crm.rely.backend.exception.ServiceException;

import java.util.List;

public interface SysIpLimitService {

    void add(SysIpLimitAddEntity entity) throws ServiceException;

    void update(SysIpLimitUpdateEntity entity) throws ServiceException;

    void delete(SysIpLimitDeleteEntity entity) throws ServiceException;

    ResultWithPagerDto<SysIpLimitDto> searchPageList(SysIpLimitSearchEntity entity) throws ServiceException;

    SysIpLimitDto searchSingle(SingleLongEntity entity) throws ServiceException;

    List<SysIpLimitDto> getList() throws ServiceException;

    boolean validatedIpExist(String ip) throws ServiceException;
}
